import * as React from 'react';
import type { ViewStyle } from 'react-native';
import type { SharedValue } from 'react-native-reanimated';
type MarqueeDirection = 'horizontal' | 'vertical';
export type MarqueeProps = React.PropsWithChildren<{
    speed?: number;
    spacing?: number;
    style?: ViewStyle;
    reverse?: boolean;
    frameRate?: number;
    direction?: MarqueeDirection;
    position?: SharedValue<number>;
    withGesture?: boolean;
}>;
export type MarqueeRef = {
    start: () => void;
    stop: () => void;
    isActive: boolean;
};
/**
 * Used to animate the given children in a horizontal manner.
 */
export declare const Marquee: React.MemoExoticComponent<React.ForwardRefExoticComponent<{
    speed?: number;
    spacing?: number;
    style?: ViewStyle;
    reverse?: boolean;
    frameRate?: number;
    direction?: MarqueeDirection;
    position?: SharedValue<number>;
    withGesture?: boolean;
} & {
    children?: React.ReactNode | undefined;
} & React.RefAttributes<MarqueeRef>>>;
export {};
//# sourceMappingURL=index.d.ts.map